set :application, "SegundoUso"
set :deploy_to,   "/var/www/vhosts/segundouso.org/symfony_projects/segundouso/"
set :app_path,    "app"

set :repository,  "git@github.com:javierseixas/segundouso.git"
set :scm,         :git

set :serverName, "sg111.servergrove.com" # The server's hostname
set :domain,     "sg111.servergrove.com"
set :user,       "segundouso"
set :branch, fetch(:branch, "master")
ssh_options[:port] = 22123

set   :deploy_via,    :copy

set :model_manager, "doctrine"

role :web,        domain
role :app,        domain
role :db,         domain, :primary => true

set  :keep_releases,  3
set  :use_sudo,       false

set :use_composer, true
set :update_vendors, true
set :cache_warmup, true
set :copy_vendors, false

set :shared_files,    ["app/config/parameters.yml"]
set :shared_children, [app_path + "/logs"]

task :upload_parameters do
  origin_file = "app/config/parameters.yml"
  destination_file = shared_path + "/app/config/parameters.yml" # Notice the
  shared_path

  try_sudo "mkdir -p #{File.dirname(destination_file)}"
  top.upload(origin_file, destination_file)
end

after "deploy:setup", "upload_parameters"
after "deploy", "deploy:cleanup"

